package com.usky.dxtop.model;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Dept implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId
    private Long dId;
    /**
     * id
     */
    private String id;

    private Integer deptSort;

    private Integer enabled;

    private Integer subCount;

    private Integer hasChildren;

    /**
     * 部门
     */
    private String label;

    private String name;

    private String pid;

    private Integer leaf;

    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    private String updateBy;

    private Date updateTime;


}
